show: Provides the details of a Security Hotspot

API: sonarcloud.io:sonarqube
Endpoint: /api/hotspots/show
Response format: application/json
Auth: unknown
Method: GET
Last Status: 404
Latency: 148ms

Description

Provides the details of a Security Hotspot.

Parameters (1)

hotspot (string, query, required)

Key of the Security Hotspot

Examples (1)

Provides the details of a Security Hotspot openapi-spec
curl 'https://sonarcloud.io/api/hotspots/show?hotspot=AU-TpxcA-iU5OvuD2FL0'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/hotspots/show",
    params={
        'hotspot': 'AU-TpxcA-iU5OvuD2FL0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/hotspots/show", hotspot="AU-TpxcA-iU5OvuD2FL0")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/hotspots/show?hotspot=AU-TpxcA-iU5OvuD2FL0");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:29:59.770759 404 148ms
2026-04-15 00:26:26.124583 404 173ms
2026-04-14 02:03:08.574092 404 138ms
2026-04-12 16:49:53.339263 404 125ms
2026-04-10 00:48:18.301238 404 129ms
2026-04-09 03:20:25.461479 404 141ms